LDAP: Add an option or a property to switch TLS versions

Description

Some installations might want to use TLS 1.1 or 1.2 instead of 1.0 provided by default by Openfire. So there could be an option or system property to enable the higher version (although this might don't work with Java 7).

An example of code change in the forum thread.

Environment

None

Activity

Show:
Guus der Kinderen
September 1, 2016, 8:42 AM

Note that this issue is specific to LDAP connectivity. Such a setting is available for client-to-server and server-to-server connections, as well as for components and connection managers (all configurable through the "advanced configuration..." option of the relevant "connection settings" pages in the admin console.

Assignee

Unassigned

Reporter

wroot

Expected Effort

None

Ignite Forum URL

None

Components

Affects versions

Priority

Major
Configure